try {
    // Pick up the original html
    var fs = require("fs");
    const path = require('path');
    var scroll = fs.readFileSync(path.join('interim', 'normalized.html'));
} catch (e) {
    if (e.code === 'ENOENT') {
        console.log('File not found!');

    } else {
        throw e;
    }
    process.exit(1);
}


function paginate() {

    const WORD_LIMIT = 150;

    const wordcount = require('wordcount');

    const headerTags = ['h1', 'h2', 'h3'];

    const cheerio = require("cheerio");
    const $ = cheerio.load(scroll);

    let page_count = 1;
    let word_count = 0;
    let page_html = "";

    $('body').children().each(function(i, elem) {

        if (headerTags.indexOf($(this)[0].name) > -1 || $(this)[0].name === 'img') {
        
            createPage(page_count, $(this));
            page_count += 1;
        
        } else {

            const elem_word_count = wordcount($(this).text());

            if (word_count + elem_word_count > WORD_LIMIT) {

                createPage(page_count, page_html);

                page_count += 1;
                page_html = $(this);
                word_count = elem_word_count;

                // if (headerTags.indexOf($(this)[0].name) > -1) {
                //     word_count += WORD_LIMIT;
                // }
            } else {
                page_html = page_html + $(this);
                word_count = word_count + elem_word_count;
            }
        }
    });

    function createPage(page_count, page_html) {

        const TEMPLATE_START = '<div class="leaf flex"><div class="inner justify">';
        const TEMPLATE_END = '</div> </div>';

        const START_PAGE = 9;

        let page_number = page_count + START_PAGE;

        const path = require('path');

        const dir = path.join(path.join("manuscript", `page-${page_number}`));

        if (!fs.existsSync(dir)) {
            fs.mkdirSync(dir);
        }

        const page = fs.openSync(path.join("manuscript", `page-${page_number}`, "body.html"), 'w+');

        page_html = TEMPLATE_START + page_html + TEMPLATE_END;

        // fs.write(page, page_html, 0, page_html.length);
        fs.writeFile(page, page_html, (err) => {
            if (err) throw err;
            console.log('It\'s saved!');
        });

    }

}

module.exports.paginate = paginate;
